View Issue Details

IDProjectCategoryView StatusLast Update
0002026Far ManagerMacropublic2012-02-20 20:18
ReporterSUSimAssigned Tovskirdin 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002026: при clip(1,"") буфер обмена не опустошается
DescriptionРаньше после clip(1,"") буфер обмена становился пустым, теперь в нём всё равно остаются предыдущие данные. Пробовал и clip(1,0) и clip(1,"\0") не опустошается...
В связи с этим приходится перестраивать макросы первое значение напрямую класть типа clip(1,"агу"), а потом уж добавлять clip(2,"- агугу"), а в тех макросах где изначально только добавление в клипбоард пришлось первоначально класть или пробел или перевод строки :(
Steps To Reproducemacro:post clip(1,"test") clip(1,"") msgbox("",Clip(0))
 - сообщение должно быть пустым! а выводится "test"
и
macro:post clip(5,2) clip(1,"test") clip(1,"") msgbox("",Clip(0))
 - результат аналогичный
TagsNo tags attached.
Build2469

Activities

vskirdin

2012-02-18 21:02

administrator   bugnote:0008617

пробуем - http://skirda-file.googlecode.com/files/m2026.1.7z

SUSim

2012-02-19 12:25

reporter   bugnote:0008618

не работает :(
макрос Clip(1,"test") Clip(1,"") msgbox("",Clip(0))
всё равно выдаёт "test", а не пустой диалог.

vskirdin

2012-02-19 14:52

administrator   bugnote:0008619

build 2469

SUSim

2012-02-20 19:09

reporter   bugnote:0008621

Last edited: 2012-02-20 19:10

View 2 revisions

Вроде всё норм и этот инцидент исчерпан :)

JohnDoe

2012-02-20 19:47

updater   bugnote:0008624

SUSIM
Раз исчерпан значит надо изменить статус на Resolved.

Issue History

Date Modified Username Field Change
2012-02-17 19:51 SUSim New Issue
2012-02-18 21:02 vskirdin Note Added: 0008617
2012-02-18 21:02 vskirdin Assigned To => vskirdin
2012-02-18 21:02 vskirdin Status new => feedback
2012-02-19 12:25 SUSim Note Added: 0008618
2012-02-19 12:25 SUSim Status feedback => assigned
2012-02-19 14:52 vskirdin Note Added: 0008619
2012-02-19 14:52 vskirdin Status assigned => feedback
2012-02-20 19:09 SUSim Note Added: 0008621
2012-02-20 19:09 SUSim Status feedback => assigned
2012-02-20 19:10 SUSim Note Edited: 0008621 View Revisions
2012-02-20 19:47 JohnDoe Note Added: 0008624
2012-02-20 19:47 JohnDoe Status assigned => resolved
2012-02-20 20:18 vskirdin Build => 2469
2012-02-20 20:18 vskirdin Status resolved => closed
2012-02-20 20:18 vskirdin Resolution open => fixed
2012-02-20 20:18 vskirdin Fixed in Version => 3.0